# Interface FeatureViewInterface<R>

#### Type Parameters

- #### R

#### Hierarchy

- FeatureViewInterface

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:35

#####
Index

### Properties

boardConfig
boardId?
rowConfig
sequenceElementClickCallback
sequenceHoverCallback
sequenceSelectionChangeCallback
structureHoverCallback
structureSelectionCallback

## Properties

### boardConfig

boardConfig: RcsbFvBoardConfigInterface

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:37

### `Optional` boardId

boardId?: string

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:36

### rowConfig

rowConfig: RcsbFvRowConfigInterface<{}, {}, {}>[]

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:38

### sequenceElementClickCallback

sequenceElementClickCallback: ((plugin: StructureViewerPublicInterface<R>, stateManager: RcsbFvStateManager, d: RcsbFvTrackDataElementInterface) => void)

#### Type declaration

- - (plugin: StructureViewerPublicInterface<R>, stateManager: RcsbFvStateManager, d: RcsbFvTrackDataElementInterface): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R>

    - ##### stateManager: RcsbFvStateManager

    - ##### d: RcsbFvTrackDataElementInterface

    #### Returns void

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:40

### sequenceHoverCallback

sequenceHoverCallback: ((plugin: StructureViewerPublicInterface<R>, stateManager: RcsbFvStateManager, hoverRegion: RcsbFvTrackDataElementInterface[]) => void)

#### Type declaration

- - (plugin: StructureViewerPublicInterface<R>, stateManager: RcsbFvStateManager, hoverRegion: RcsbFvTrackDataElementInterface[]): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R>

    - ##### stateManager: RcsbFvStateManager

    - ##### hoverRegion: RcsbFvTrackDataElementInterface[]

    #### Returns void

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:41

### sequenceSelectionChangeCallback

sequenceSelectionChangeCallback: ((plugin: StructureViewerPublicInterface<R>, stateManager: RcsbFvStateManager, sequenceRegion: RcsbFvTrackDataElementInterface[]) => void)

#### Type declaration

- - (plugin: StructureViewerPublicInterface<R>, stateManager: RcsbFvStateManager, sequenceRegion: RcsbFvTrackDataElementInterface[]): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R>

    - ##### stateManager: RcsbFvStateManager

    - ##### sequenceRegion: RcsbFvTrackDataElementInterface[]

    #### Returns void

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:39

### structureHoverCallback

structureHoverCallback: ((plugin: StructureViewerPublicInterface<R>, pfv: RcsbFv, stateManager: RcsbFvStateManager) => void)

#### Type declaration

- - (plugin: StructureViewerPublicInterface<R>, pfv: RcsbFv, stateManager: RcsbFvStateManager): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R>

    - ##### pfv: RcsbFv

    - ##### stateManager: RcsbFvStateManager

    #### Returns void

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:43

### structureSelectionCallback

structureSelectionCallback: ((plugin: StructureViewerPublicInterface<R>, pfv: RcsbFv, stateManager: RcsbFvStateManager) => void)

#### Type declaration

- - (plugin: StructureViewerPublicInterface<R>, pfv: RcsbFv, stateManager: RcsbFvStateManager): void

  - #### Parameters

    - ##### plugin: StructureViewerPublicInterface<R>

    - ##### pfv: RcsbFv

    - ##### stateManager: RcsbFvStateManager

    #### Returns void

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:42

Generated using TypeDoc